import * as react_jsx_runtime from 'react/jsx-runtime';

type BaseInputProps = {
    inputId?: string;
    label?: string;
    description?: string;
    optional?: boolean;
    error?: boolean;
    attributes?: JSX.IntrinsicElements['input'];
};
interface CheckBoxProps extends BaseInputProps {
    inputId: string;
    checkboxLabel: string;
}
interface FormFieldsetProps {
    label: string;
    description?: string;
    children: JSX.Element | JSX.Element[];
    feedback?: FeedbackProps;
}
interface FormFieldProps extends BaseInputProps {
    feedback?: FeedbackProps;
    children: JSX.Element & JSX.IntrinsicElements['input'];
}
type FeedbackProps = {
    errorElementIds?: string[];
    message: string;
    type: 'error';
};

declare const CheckBoxItem: (props: CheckBoxProps) => react_jsx_runtime.JSX.Element;
declare const CheckBox: (props: CheckBoxProps) => react_jsx_runtime.JSX.Element;
declare const CheckBoxGroup: (props: FormFieldsetProps) => react_jsx_runtime.JSX.Element;

export { CheckBoxItem as C, type FeedbackProps as F, type FormFieldProps as a, type FormFieldsetProps as b, CheckBox as c, CheckBoxGroup as d };
